Installer - Bug #36211

Foreman-installer purges custom powerdns-plugin settings in
/etc/foreman-proxy/settings.d/dns_powerdns.yml

03/21/2023 07:49 AM - Sebastian @

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 3.6.0
Difficulty: Fixed in Releases: 3.6.0
Triaged: Yes Found in Releases: 3.5.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/839,
https://github.com/theforeman/foreman-i
nstaller/pull/840

Description

The installer resets the value ":powerdns_rest_url" of the manually edited file /etc/foreman-proxy/settings.d/dns_powerdns.yml to a
default url each run.

I have not found a documentation or a way to provide /etc/foreman-installer/scenarios.d/katello-answers.yaml with a custom value
yet.

This behaivor was introduced a few weeks ago, sadly i can't tell the exact version anymore.

Associated revisions

Revision 9749bd2a - 03/21/2023 09:55 AM - Ewoud Kohl van Wijngaarden
Fixes #36211 - Add PowerDNS and Route53 plugins to scenarios

These plugins have long been packaged, but the Foreman Proxy module has
started to include the correct provided if needed®. This means users

now need to be able to configure the parameters, where they could
previously manually manage it.

[1]: https://github.com/theforeman/puppet-foreman_proxy/commit/463c87638c83387ce2cb748dbe9433f9a027241¢

History

#1 - 03/21/2023 07:53 AM - Sebastian @
- Found in Releases 3.5.2 added
- Found in Releases deleted (3.5.3)

#2 - 03/21/2023 09:44 AM - Ewoud Kohl van Wijngaarden

- Project changed from Foreman to Installer

This is https://github.com/theforeman/puppet-foreman_proxy/commit/463c87638c83387ce2cb748dbe9433f9a027241¢ which caused it. The problem
is that the PowerDNS provider is not available in the Katello scenario, though it should be.

A temporary workaround is to provide it in /etc/foreman-installer/custom-hiera.yaml like this:

foreman_proxy::plugin::dns::powerdns:rest_api_key: My_KEY
foreman_proxy::plugin: :dns: :powerdns:rest_url: My_URL

#3 - 03/21/2023 09:50 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/839 added

05/12/2024 1/2



https://github.com/theforeman/puppet-foreman_proxy/commit/463c87638c83387ce2cb748dbe9433f9a027241c
https://github.com/theforeman/puppet-foreman_proxy/commit/463c87638c83387ce2cb748dbe9433f9a027241c

#4 - 03/21/2023 10:01 AM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script

- Assignee deleted (Ewoud Kohl van Wijngaarden)

- Target version set to 3.6.0

- Triaged changed from No to Yes

#5 - 03/21/2023 10:01 AM - Ewoud Kohl van Wijngaarden

- Assignee set to Ewoud Kohl van Wijngaarden

#6 - 03/21/2023 10:49 AM - The Foreman Bot
- Fixed in Releases 3.7.0 added

#7 - 03/21/2023 11:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|9749bd2a3ef66ace8a373c7da34e5ed335beebed.

#8 - 03/21/2023 11:50 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/840 added

#9 - 03/21/2023 12:42 PM - The Foreman Bot
- Fixed in Releases 3.6.0 added

#10 - 03/21/2023 12:42 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (3.7.0)
